jQuery(function() {
    // VALIDO LOCALIZADOR COMPRA Y OBTENGO FECHA DE COMPRA
    var FormCancelarCompra   = jQuery('#FormCancelarCompra'),
        CancelarCompraAction = FormCancelarCompra.attr('action');
    
    FormCancelarCompra.removeAttr('action');
    
    jQuery("#CancelacionCompra").click(function() {
        var localizador = jQuery('#Localizador').val();
        // Comprobar plazas en el momento de comprar
        jQuery.ajax({
            type     : 'POST',
            url      : '//' + location.host + '/wp-content/plugins/visitas/modules/visitas/mis_php_web/ajax/cancelar/validar_cancelar.php',
            dataType : 'json',
            data     : {
                "localizador": localizador
            },
            cache    : false
        }).done(function(valido) {
            
            console.log(valido);
            // Localizador no válido
            if (valido == 0) {
                div               = document.getElementById("ValidaLocalizadorCompra");
                div.style.display = "";
                jQuery("#ValidaLocalizadorCompra").html(js_traducciones['cancelar_compra']['introduzca_localizador_valido']);
            }
            // El localizador ya está anulado anteriormente
            else if (valido == 2) {
                div               = document.getElementById("ValidaLocalizadorCompra");
                div.style.display = "";
                jQuery("#ValidaLocalizadorCompra").html(js_traducciones['cancelar_compra']['compra_ya_cancelada']);
            }
            // Localizador de Pago en instalación, no se puede anular la compra
            else if (valido == 3) {
                div               = document.getElementById("ValidaLocalizadorCompra");
                div.style.display = "";
                jQuery("#ValidaLocalizadorCompra").html(js_traducciones['cancelar_compra']['usted_eligio_pagar_en_bodega']);
            }
            // El localizador tiene reservas asociadas
            else if (valido == 4) {
                div               = document.getElementById("ValidaLocalizadorCompra");
                div.style.display = "";
                jQuery("#ValidaLocalizadorCompra").html(js_traducciones['cancelar_compra']['localizador_con_reservas']);
            }
            // El localizador ya ha sido usado
            else if (valido == 5) {
                div               = document.getElementById("ValidaLocalizadorCompra");
                div.style.display = "";
                jQuery("#ValidaLocalizadorCompra").html(js_traducciones['cancelar_compra']['localizador_usado']);
            }
            // Ha superado el plazo máximo de cancelación de una compra
            else if (valido == 6) {
                div               = document.getElementById("ValidaLocalizadorCompra");
                div.style.display = "";
                jQuery("#ValidaLocalizadorCompra").html(js_traducciones['cancelar_compra']['no_puede_anular']);
            }
            else if (valido == 7) {
                div               = document.getElementById("ValidaLocalizadorCompra");
                div.style.display = "";
                jQuery("#ValidaLocalizadorCompra").html(js_traducciones['cancelar_compra']['es_regalo']);
            }
            // Localizador válido
            else {
                if (valido == 1) {
                    jQuery("#FechaCompra").val(valido.fecha);
                    FormCancelarCompra.attr('action', CancelarCompraAction);
                    FormCancelarCompra.submit();
                }
            }
        });
        return false;
    });
});